#include <string.h>
#include "MuckBBang.h"

MuckBBang::MuckBBang(char *name)
{
	weight = INIT_WEIGHT;
	strcpy_s(id,BUFSIZ,name);
}


MuckBBang::~MuckBBang(void)
{
}

void MuckBBang::eatAppetizer()
{
	printf("%s는 ",id);
}

void MuckBBang::eatEntree(int n)
{
	weight = weight + n*BBANG_WEIGHT;
}

void MuckBBang::eatDessert()
{
	printf("커피 한잔으로 마무리 했음니다.\n");
}

void MuckBBang::digest()
{
	printf("%s는 운동을 해서 소화를 시킵니다.\n",id);
	addWeight(-10);
}